ereg
eregi
POSIX Regex Functions
PHP Manual

# eregi_replace

(PHP 4, PHP 5)

eregi_replace — Replace regular expression case insensitive

### Description

string eregi_replace ( string `$pattern` , string `$replacement` , string `$string` )

This function is identical to ereg_replace() except that this ignores case distinction when matching alphabetic characters.

### Parameters

`pattern`

  A POSIX extended regular expression.

`replacement`

  If `pattern` contains parenthesized substrings, `replacement` may contain substrings of the form \\digit, which will be replaced by the text matching the digit'th parenthesized substring; \\0 will produce the entire contents of string. Up to nine substrings may be used. Parentheses may be nested, in which case they are counted by the opening parenthesis.

`string`

  The input string.

### Return Values

The modified string is returned. If no matches are found in `string` , then it will be returned unchanged.

### Examples

Example #1 Highlight search results

`<?php
$pattern = '(>[^<]*)('. quotemeta($_GET['search']) .')';
$replacement = '\\1<span class="search">\\2</span>';
$body = eregi_replace($pattern, $replacement, $body);
?>`

### See Also

- ereg()
- eregi()
- ereg_replace()

ereg
eregi
POSIX Regex Functions
PHP Manual